{% extends 'base.html' %}
{% load static %}

{% block title %}Date de intrare{% endblock %}

{% block body %}
    <div id="centerDoc" class="container-xl">
        <h3>Aceasta este Casa cu Brazi!</h3>
        <form action="" method="post"> {# {% url 'availability' %} #}
            {% csrf_token %}
            {{ form.as_p }}
            <input type="Submit" name="submit" value="Verifica"/>
            {#                        <button type="submit">submit</button>#}
        </form>
        {% if submit_button == "Verifica" %}
            <h1> Your check-in date is {{ check_in }}</h1>
            <h1> Your check-out date is {{ check_out }}</h1>
{#            <p>acestea sunt camerele disponibile: {{ available_rooms }}</p>#}
{#            <p>acestea sunt camerele noastre: {{ room_list }}</p>#}
{#            <p>Pentru ca avem aceste rezervari:</p>#}
{#            {% for reservation in reservation_list %}#}
{#                <p>{{ reservation }}</p>#}
{#                <p>{{ reservation.check_in }}{{ reservation.room }}</p>#}
{#                <p>{{ reservation.check_out }}{{ reservation.room }}</p>#}
{#            {% endfor %}#}
            {#            {% if {{ len(available_rooms) }} > 0 %}#}
            {% for room in available_rooms %}
                <div class="row">
                    <div class="card col-xl-3 col-lg-4 col-md-6 col-sm-12">
                        <div class="card-body">
                            <h5 class="card-title">{{ room.name }}</h5>
                            <img src="{{ detail.image.url }}" class="card-img-top" alt="{{ room.name }}">
                            <p class="card-text">{{ room.room_type }}</p>
                            <p class="card-text">{{ room.description }}</p>

                            <p class="card-text">{{ room.price }} lei/camera/noapte</p>
{#                            <select class="form-select" aria-label="Default select example">#}
{#                                <option selected>Selecteaza</option>#}
{#                                <option value="0">0</option>#}
{#                                <option value="1">1</option>#}
{#                            </select>#}
{#                            <a href="#" class="btn btn-primary m-1">Selecteaza</a> {# {% url 'reservation_create' %} #}
{#                            <a href="{% url 'availability' %}" class="btn btn-primary m-1">Disponibilitate</a>#}
                            <a href="{% url 'availability' %}" class="btn btn-primary m-1">Selecteaza</a>
                        </div>
                    </div>
                </div>
            {% endfor %}
            {#            {% endif %}#}
        {% endif %}
    </div>
{% endblock %}